/* CSS für Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
  }
  
  .modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 50%;
  }
  

@media print {
    .menu {
        display: none !important;
      }
    
    .top-nav {
      color: black !important;
    }
    
   
    
    .pdf-button {
      display: none;
    }
    
    body {
      margin: 0;
      padding: 0;
    }
    
    .allelizenzen-table {
      width: 100%;
      border-collapse: collapse;
    }
    
    .allelizenzen-table th, .allelizenzen-table td {
      border: 1px solid #000000;
      border-bottom: 1px solid #000000 !important;
      padding: 8px;
      
    }
    
    .allelizenzen-table th {
      background-color: #f2f2f2;
      color: black !important;
      
    }

    .auslaufendelizenzen-table {
        width: 100%;
        border-collapse: collapse;
      }
      
      .auslaufendelizenzen-table th, .auslaufendelizenzen-table td {
        border: 1px solid #000000;
        border-bottom: 1px solid #000000 !important;
        padding: 8px;
      }
      
      .auslaufendelizenzen-table th {
        background-color: #f2f2f2;
        color: black !important;
      }

    .lizenzverwaltung-suche-label,
  .lizenzverwaltung-suche-input,
  .lizenzverwaltung-suche-button {
    display: none !important;
  }
    .delete-container{
        display: none;
    }
   
    .license-page-title{
        display: none;
    }
    .license-form-column{
        display: none;
    }

    tr {
        page-break-inside: avoid;
      }
   
      #verlangerung_form_1 {
        display: none;
      }

      table.auslaufendelizenzen-table th:nth-last-child(1),
      table.auslaufendelizenzen-table td:nth-last-child(1) {
        display: none !important;
      }

  }
 
/* Allgemein */
body {
  background-color: #f5f5f5;
  font-family: Arial, sans-serif;

}
/* Ende Allgemein */

/* Login Page */

/* Center the login container */
.loginpage-wrapper {
display: flex;
justify-content: center;
align-items: center;
height: 100vh;
}

/* Style the login container */
.loginpage-container {
max-width: 400px;
width: 100%;
text-align: center;
padding: 2em;
background-color: #fff;
box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
border-radius: 5px;
}

/* Style the logo and title */
.loginpage-logo {
max-width: 100%;
height: auto;
margin-bottom: 1em;
}

.loginpage-title {
font-size: 2.5em;
margin: 0;
color: #333;
}

/* Style the error message */
.loginpage-error-message {
background-color: #ff6b6b;
color: #fff;
font-size: 1.2em;
padding: 1em;
margin-bottom: 1em;
text-align: center;
}

/* Style the form */
.loginpage-form {
text-align: left;
}

/* Style the form input fields */
.loginpage-form-label {
display: block;
font-size: 1.2em;
margin-bottom: 0.5em;
color: #333;
}

.loginpage-form-input {
display: block;
width: 100%;
font-size: 1.2em;
padding: 0.5em;
border: 1px solid #ddd;
border-radius: 5px;
margin-bottom: 1em;
}

/* Style the form submit button */
.loginpage-form-submit {
background-color: #007fcf;
border: none;
color: #fff;
padding: 0.5em 1em;
font-size: 1.2em;
border-radius: 5px;
cursor: pointer;
}

.loginpage-form-submit:hover {
background-color: #3e8e41;
}

.loginpage-form-group {
display: flex;
justify-content: space-between;
align-items: center;
}

.loginpage-form-forgot-password {
font-size: 14px;
color: #666;
text-decoration: none;
margin-top: 1em;
}

/* Style the forgot password button */
.loginpage-form-forgot-password-button {
background-color: transparent;
border: none;
color: #007fcf;
font-size: 14px;
cursor: pointer;
text-decoration: underline;
}

/* Ende Login Page */



/* Lizenzverwaltungsseite*/

/*Header*/
@import url(https://fonts.googleapis.com/css?family=Raleway);
h1 {
  vertical-align: center;
  text-align: center;
}
h2 {
  vertical-align: center;
  text-align: center;
}



html, body {
  margin: 0;
  height: 100%;
}

/* Container-Regeln */
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1em;
    box-sizing: border-box;
  }

.top-nav {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #007fcf;
  color: #FFF;
  height: 50px;
  
  padding: 1em;
}

.login-info {
  font-size: 1.2em;
  margin-right: auto;
  margin-left: 1em;
}

.logo {
  width: 200px;
  height: auto;
  background-image: url('Logo.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.menu {
  display: flex;
  flex-direction: row;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.menu > li {
  margin: 0 1rem;
  overflow: hidden;
}

.menu-button-container {
  display: none;
  height: 100%;
  width: 30px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#menu-toggle {
  display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
  display: block;
  background-color: #fff;
  position: absolute;
  height: 4px;
  width: 30px;
  transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  border-radius: 2px;
}

.menu-button::before {
  content: '';
  margin-top: -8px;
}

.menu-button::after {
  content: '';
  margin-top: 8px;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
  margin-top: 0px;
  transform: rotate(405deg);
}

#menu-toggle:checked + .menu-button-container .menu-button {
  background: rgba(255, 255, 255, 0);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
  margin-top: 0px;
  transform: rotate(-405deg);
}

@media {
  .menu-button-container {
    display: flex;
  }
.menu {
    display: none;
    position: absolute;
    top: 50px;
    margin-top: 0;
    left: auto;
    right: 0;
    flex-direction: column;
    width: 20%;
    justify-content: center;
    align-items: center;
    background-color: #007fcf;
    padding: 1em;
}
  .menu > li {
    display: flex;
    justify-content: center;
    margin: 0.5em 0;
    padding: 0.5em;
    width: 100%;
    color: white;
    
  }
  .menu > li:not(:last-child) {
    border-bottom: 1px solid #444;
  }
  #menu-toggle:checked ~ .menu {
    display: flex;
  }
}
.menu__item {
  display: block;
  padding: 0.5rem;
  font-size: 1.2rem;
  color: #fff;
  text-align: center;
  text-decoration: none;
  border-bottom: none;
  transition: background-color 0.3s ease;
}

.print-button{
    background-color: #007fcf;
    border: none;
}

.menu__item:hover {
  background-color: #f2f2f2;
  color: #007fcf;
}


/* Lizenz hinzufügen Formular */
.license-page-title {
font-size: 30px;
text-align: center;
margin: 20px 0;
}

.license-form {
max-width: 800px;
margin: 0 auto;
display: flex;
flex-wrap: wrap;
justify-content: space-between;
}

.license-form-column {
width: 100%;
max-width: 400px;
padding-right: 20px;
box-sizing: border-box;
}

.license-form-field {
margin-bottom: 20px;
}

.license-form-field label {
display: block;
margin-bottom: 5px;
font-weight: bold;
}

.license-form-field select,
.license-form-field input[type="date"],
.license-form-field input[type="number"],
.license-form-field input[type="text"] {
width: 100%;
padding: 8px;
border-radius: 5px;
border: 1px solid #ccc;
}

.license-form-submit {
background-color: #007fcf;
border: none;
border-radius: 25px;
color: #fff;
cursor: pointer;
font-size: 16px;
margin: 20px auto 0 auto;
padding: 10px;
transition: background-color 0.2s;
}

.license-form-submit:hover {
background-color: #006db3;
}


/* Alle Lizenzen */
/* Suchfeld */

.lizenzverwaltung-suche form {
  display: inline-block;
  margin-bottom: 10px;
}

.lizenzverwaltung-suche label {
  margin-right: 10px;
}

.lizenzverwaltung-suche input[type="text"] {
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 3px;
  margin-right: 10px;
}

.lizenzverwaltung-suche button[type="submit"] {
  background-color: #4CAF50;
  border: none;
  color: white;
  padding: 5px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 3px;
  cursor: pointer;
}

.lizenzverwaltung-suche button[type="submit"]:hover {
  background-color: #3e8e41;
}

.search-container {
    display: flex;
    justify-content: center;
  }  
  .search-delete-container {
    display: flex;
    align-items: center;
  }
  
  .search-container {
    flex-grow: 1;
    display: flex;
    justify-content: center;
  }
  
  .delete-container {
    margin-right: 10px;
  }

/* Alle Lizenzen Rest */

.allelizenzen-delete-button {
    padding: 5px 10px;
}



.allelizenzen-title {
  font-size: 24px;
  text-align: center;
  margin: 20px 0;
}

.allelizenzen-table {
  border-collapse: collapse;
  width: 100%;
  margin-top: 20px;
}

.allelizenzen-table th,
.allelizenzen-table td {
    
  padding: 12px 15px;
  text-align: left;
  border-bottom: 1px solid #ddd;
}


.allelizenzen-table th {
  background-color: #007fcf;
  color: #fff;
}

.allelizenzen-button {
  background-color: #007fcf;
  border: none;
  border-radius: 25px;
  color: #fff;
  cursor: pointer;
  font-size: 16px;
  margin-top: 20px;
  padding: 10px;
  transition: background-color 0.2s;
}

.allelizenzen-button:hover {
  background-color: #005b91;
}

.allelizenzen-delete-button {
  background-color: #dc3545;
  border: none;
  border-radius: 25px;
  color: #fff;
  cursor: pointer;
  font-size: 16px;
  padding: 10px;
  transition: background-color 0.2s;
}

.allelizenzen-delete-button:hover {
  background-color: #c82333;
}

/* Auslaufende Lizenzen */

.auslaufendelizenzen-title {
font-size: 24px;
text-align: center;
margin: 20px 0;
}

.auslaufendelizenzen-table {
border-collapse: collapse;
width: 100%;
margin-top: 20px;
}

.auslaufendelizenzen-table th,
.auslaufendelizenzen-table td {
   
    padding: 12px 15px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

.auslaufendelizenzen-table th {
background-color: #007fcf;
color: #fff;
}

.auslaufendelizenzen-button {
background-color: #007fcf;
border: none;
border-radius: 25px;
color: #fff;
cursor: pointer;
font-size: 16px;
margin-top: 20px;
padding: 10px;
transition: background-color 0.2s;
}

.auslaufendelizenzen-button:hover {
background-color: #005b91;
}


/* Ende Lizenzverwaltungsseite */


/* Userverwaltungsseite */

.userverwaltung-body {
background-color: #f5f5f5;
}

.userverwaltung-heading {
font-size: 2em;
margin-top: 1em;
margin-bottom: 1em;
color: #333;
}

.userverwaltung-table {
margin-bottom: 2em;
width: 100%;
border-collapse: collapse;
border-spacing: 0;
background-color: #fff;
border: 1px solid #ddd;
}

.userverwaltung-table th,
.userverwaltung-table td {
padding: 0.5em;
text-align: center;
border: 1px solid #ddd;
}

.userverwaltung-table th {
background-color: #eee;
font-size: 1.2em;
}

.userverwaltung-table tr:nth-child(even) {
background-color: #f9f9f9;
}

.userverwaltung-subheading {
font-size: 1.5em;
margin-top: 2em;
margin-bottom: 1em;
color: #333;
}

.userverwaltung-form {
display: flex;
flex-direction: column;
align-items: center;
justify-content: center;
background-color: #fff;
border: 1px solid #ddd;
border-radius: 5px;
padding: 2em;
max-width: 500px;
width: 100%;
margin: 0 auto;
}

.userverwaltung-form-row {
display: flex;
align-items: center;
justify-content: space-between;
margin-bottom: 1em;
width: 100%;
}

.userverwaltung-form-label {
font-size: 1.2em;
margin-right: 1em;
width: 40%;
text-align: right;
}

.userverwaltung-form-input,
.userverwaltung-form-select {
width: 60%;
font-size: 1.2em;
padding: 0.5em;
border: 1px solid #ddd;
border-radius: 5px;
}

.userverwaltung-form-select {
margin-top: 1em;
margin-bottom: 1em;
}

.userverwaltung-form-submit {
background-color: #007fcf;
border: none;
color: #fff;
padding: 0.5em 1em;
font-size: 1.2em;
border-radius: 5px;
cursor: pointer;
margin-top: 1em;
}

.userverwaltung-form-submit:hover {
background-color: #3e8e41;
}

/* Ende Userverwaltungsseite */



/* Produktverwaltungsseite */




.produkteverwaltung-heading {
    text-align: center;
    color: #333;
}

.produkteverwaltung-success-message {
    background-color: #d4edda;
    color: #155724;
    padding: 10px;
    margin-bottom: 10px;
}

.produkteverwaltung-error-message {
    background-color: #f8d7da;
    color: #721c24;
    padding: 10px;
    margin-bottom: 10px;
}

.produkteverwaltung-add-product-form {
    margin: 20px auto;
    width: 50%;
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.produkteverwaltung-form-row {
    margin-bottom: 10px;
}

.produkteverwaltung-form-label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}

.produkteverwaltung-form-input {
    display: block;
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.produkteverwaltung-form-submit {
    display: block;
    width: 100%;
    background-color: #007fcf;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 10px;
}



.produkteverwaltung-product-table {
  width: 80%;
 margin: 20px auto 40px auto;
  border-collapse: collapse;

}

.produkteverwaltung-product-table th,
.produkteverwaltung-product-table td {
  border: 1px solid #ccc;
  padding: 5px;
}

.produkteverwaltung-product-table th {
  background-color: #f7f7f7;
  text-align: left;
}

.produkteverwaltung-product-table-header-name {
  width: 80%;
}

.produkteverwaltung-product-table-header-delete {
  width: 20%;
}

.produkteverwaltung-product-delete-button {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f44336;
  color: white;
  border: none;
  padding: 8px 12px;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.2s ease;
}


.produkteverwaltung-product-delete-button:hover {
  background-color: #d32f2f;
}


/* Ende Produktverwaltungsseite */



/* Passwortändernseite */

/* CSS für Passwortänderungsformular */
.passwortchange-welcome {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 20px;
}

.passwortchange-success-message {
  background-color: #4CAF50;
  color: white;
  padding: 10px;
  margin-bottom: 20px;
}

.passwortchange-error-message {
  background-color: #f44336;
  color: white;
  padding: 10px;
  margin-bottom: 20px;
}

.passwortchange-password-form {
  margin: 0 auto;
  width: 400px;
}

.passwortchange-form-group {
  margin-bottom: 20px;
}

.passwortchange-form-group label {
  display: block;
  margin-bottom: 5px;
}

.passwortchange-form-group input[type="password"] {
  padding: 8px;
  border-radius: 4px;
  border: 1px solid #ccc;
  width: 100%;
  box-sizing: border-box;
  font-size: 16px;
}

.passwortchange-password-submit {
  background-color: #007fcf;
  color: white;
  padding: 10px 16px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
  margin-top: 20px;
  transition: background-color 0.2s ease;
}

.passwortchange-password-submit:hover {
  background-color: #3e8e41;
}



/* Ende Passwortändernseite */


/* Passwort zurücksetzen Seite */

/* Center the form container */
.resetpassword-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

/* Style the form container */
.resetpassword-container {
  max-width: 500px;
  width: 100%;
  text-align: center;
  padding: 2em;
  background-color: #fff;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
}

/* Style the title */
.resetpassword-title {
  font-size: 2.5em;
  margin: 0;
  color: #333;
}

/* Style the form */
.resetpassword-form {
  text-align: left;
}

/* Style the form input fields */
.resetpassword-form-label {
  display: block;
  font-size: 1.2em;
  margin-bottom: 0.5em;
  color: #333;
}

.resetpassword-form-input {
  display: block;
  width: 100%;
  font-size: 1.2em;
  padding: 0.5em;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin-bottom: 1em;
}

/* Style the form submit button */
.resetpassword-form-submit {
  background-color: #007fcf;
  border: none;
  color: #fff;
  padding: 0.5em 1em;
  font-size: 1.2em;
  border-radius: 5px;
  cursor: pointer;
}

.resetpassword-form-submit:hover {
  background-color: #3e8e41;
}

/* Ende Passwort zurücksetzen Seite */

/* Edit User Seite */

.edituser-page-title {
  font-size: 24px;
  text-align: center;
  margin: 20px 0;
}

.edituser-label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.edituser-input {
  padding: 5px;
  border-radius: 5px;
  border: 1px solid #ccc;
  margin-bottom: 10px;
  width: 100%;
}

.edituser-select {
  padding: 5px;
  border-radius: 5px;
  border: 1px solid #ccc;
  margin-bottom: 10px;
  width: 100%;
}

.edituser-button {
  background-color: #007fcf;
  border: none;
  border-radius: 25px;
  color: #fff;
  cursor: pointer;
  font-size: 16px;
  margin-top: 20px;
  padding: 10px 20px;
  transition: background-color 0.2s;
}

.edituser-button:hover {
  background-color: #005b91;
}

.edituser-link {
  display: inline-block;
  margin-left: 10px;
  color: #007fcf;
  text-decoration: none;
}

.edit_user-form {
  max-width: 500px;
  margin: 0 auto;
}

.delete-button {
  background-color: red;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px 20px;
  cursor: pointer;
  transition: background-color 0.2s;
}

.delete-button:hover {
  background-color: #c50000;
}
/* Ende Edit User Page */